package com.qhtx.eta.controller;

import com.qhtx.eta.controller.request.ETAIndexPushRequest;
import com.qhtx.eta.controller.request.ETADeleteTaskRequest;
import com.qhtx.eta.domain.api.http.response.eta.ETAPushIndex;
import com.qhtx.eta.domain.facade.ETAFacadeService;
import com.qhtx.eta.vo.Result;
import org.springframework.web.bind.annotation.*;
import com.qhtx.eta.common.eunms.ErrorEnum;

import javax.annotation.Resource;


@RestController
@RequestMapping("/htApi/v1/index")
public class ETAController {

    @Resource
    private ETAFacadeService etaFacadeService;


    @PostMapping("/push")
    public Result<String> getIndex(@RequestBody ETAIndexPushRequest etaIndexPushRequest) {
        etaFacadeService.pushIndex(etaIndexPushRequest.getIndexCode(), true);
        return Result.success("同步成功");
    }

    @PostMapping("/deleteTask")
    public Result<String> deleteTask(@RequestBody ETADeleteTaskRequest etadeleteTaskRequest) {
        etaFacadeService.deleteTask(etadeleteTaskRequest.getIndexCode());
        return Result.success("同步成功");
    }

    @GetMapping("/getIndexInfo")
    public Result<ETAPushIndex> getIndexInfo(ETAIndexPushRequest etaIndexPushRequest) {
        ETAPushIndex pushIndex = etaFacadeService.getIndexInfo(etaIndexPushRequest.getIndexCode());
        if (pushIndex == null) {
            return Result.error(ErrorEnum.DW_INDEX_NOT_FOUND);
        }
        return Result.success(pushIndex);
    }
}
