package com.qhtx.eta.domain.convert;

import com.qhtx.eta.domain.api.http.request.ETAPushData;
import com.qhtx.eta.domain.api.http.response.eta.ETAPushIndex;
import com.qhtx.eta.domain.entity.DWIndexDTO;
import com.qhtx.eta.domain.entity.DWIndexDataDTO;
import com.qhtx.eta.infra.entity.dw.DWIndex;
import com.qhtx.eta.infra.entity.dw.TEtaIndexPushTask;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;


@Mapper

public interface DWIndexDTOConverter {

    DWIndexDTOConverter INSTANCE = Mappers.getMapper(DWIndexDTOConverter.class);

    @Mapping(source = "indexCnName", target = "indexName")
    @Mapping(source = "units", target = "unit")
    DWIndexDTO convertToDTO(DWIndex dwIndex);

    TEtaIndexPushTask convertToTEtaIndexPushTask(DWIndexDTO dwIndexDTO);

    List<TEtaIndexPushTask> convertToTEtaIndexPushTaskList(List<DWIndexDTO> dwIndexDTO);


    DWIndexDTO convertToDTO(TEtaIndexPushTask tEtaIndexPushTask);

    List<DWIndexDTO> convertToDTOList(List<TEtaIndexPushTask> tEtaIndexPushTaskList);

    @Named("dataListConvert")
    default List<ETAPushData> dataListConvert(List<DWIndexDataDTO> dataList) {
        return DWIndexDataDTOConverter.INSTANCE.convertToETAPushDataList(dataList);
    }

    @Mapping(source = "dataList", target = "dataList", qualifiedByName = "dataListConvert")
    ETAPushIndex convertToETAPushDTO(DWIndexDTO dwIndexDTO);


    DWIndexDTO convertToResDTO(ETAPushIndex etaPushIndex);

    List<DWIndexDTO> convertToResDTOList(List<ETAPushIndex> etaPushIndexList);

}
