package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.mapper.TEtaIndexMappingDao;
import com.qhtx.eta.infra.entity.dw.TEtaIndexMapping;
import com.qhtx.eta.infra.service.TEtaIndexMappingService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * (TEtaIndexMapping)表服务实现类
 *
 * @author makejava
 * @since 2025-01-14 10:32:26
 */
@Service("tEtaIndexMappingService")
@UseDataSource(dataSourceType = DataSourceType.DW)
@Slf4j
public class TEtaIndexMappingServiceImpl implements TEtaIndexMappingService {
    @Resource
    private TEtaIndexMappingDao tEtaIndexMappingDao;

    /**
     * 新增数据
     *
     * @param tEtaIndexMapping 实例对象
     * @return 实例对象
     */
    @Override
    public void insert(TEtaIndexMapping tEtaIndexMapping) {
        tEtaIndexMappingDao.insert(tEtaIndexMapping);
    }


    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.tEtaIndexMappingDao.deleteById(id) > 0;
    }

    @Override
    public TEtaIndexMapping queryByLinkCode(String linkCode) {
        return tEtaIndexMappingDao.queryByLinkCode(linkCode);
    }
}
